import { OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { PlentyTextInputComponent } from '../../forms/input/text-input/plenty-text-input.component';
import { PlentyNumberInputComponent } from '../../forms/input/number-input/plenty-number-input.component';
export declare class InputShowcaseComponent implements OnInit {
    private formBuilder;
    validationForm: FormGroup;
    form: any;
    validationInputName: string;
    maxLengthInputName: string;
    minLengthInputName: string;
    disabledValidInputName: string;
    numberInputName: string;
    doubleInputName: string;
    private requiredFormControl;
    private maxLengthFormControl;
    private minLengthFormControl;
    private disabledValidFormControl;
    private numberInputFormControl;
    private doubleInputFormControl;
    validationInput: PlentyTextInputComponent;
    maxLengthInput: PlentyTextInputComponent;
    minLengthInput: PlentyTextInputComponent;
    disabledInput: PlentyTextInputComponent;
    disabledValidInput: PlentyTextInputComponent;
    numberInput: PlentyNumberInputComponent;
    doubleInput: PlentyNumberInputComponent;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    private validate(event, validationInputValue, minLengthInputValue, maxLengthInputValue, numberInputValue, doubleInputValue);
}
