"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_overlay_component_1 = require('../../overlay/plenty-overlay.component');
var plenty_button_component_1 = require('../../button/plenty-button.component');
var plenty_alert_1 = require('../../alert/plenty-alert');
var OverlayShowcaseComponent = (function () {
    function OverlayShowcaseComponent() {
        this.addButtonTooltip = 'Hinzufügen';
        this.cancelButtonTooltip = 'Abbrechen';
        this.alert = plenty_alert_1.PlentyAlert.getInstance();
    }
    OverlayShowcaseComponent.prototype.ngOnInit = function () {
    };
    OverlayShowcaseComponent.prototype.openOverlayWithoutButtons = function () {
        this.overlayWithoutButtons.showOverlay();
    };
    OverlayShowcaseComponent.prototype.openOverlayWithPrimaryButton = function () {
        this.overlayWithPrimaryButton.showOverlay();
    };
    OverlayShowcaseComponent.prototype.openOverlayWithSecondaryButton = function () {
        this.overlayWithSecondaryButton.showOverlay();
    };
    OverlayShowcaseComponent.prototype.openOverlayWithButtons = function () {
        this.overlayWithButtons.showOverlay();
    };
    OverlayShowcaseComponent.prototype.openOverlayStatic = function () {
        this.overlayStatic.showOverlay();
    };
    OverlayShowcaseComponent.prototype.openOverlayRelogin = function () {
        this.overlayRelogin.showOverlay();
    };
    OverlayShowcaseComponent.prototype.primaryClicked = function (overlay) {
        this.alert.addAlert(overlay.overlayTitle + "clicked", true, 'success');
    };
    OverlayShowcaseComponent.prototype.secondaryClicked = function (overlay) {
        overlay.hideOverlay();
    };
    OverlayShowcaseComponent.prototype.addAlert = function () {
        this.alert.addAlert("Alert aus einem Overlay", true, 'success');
    };
    __decorate([
        core_1.ViewChild('overlayWithoutButtons'), 
        __metadata('design:type', plenty_overlay_component_1.PlentyOverlayComponent)
    ], OverlayShowcaseComponent.prototype, "overlayWithoutButtons", void 0);
    __decorate([
        core_1.ViewChild('overlayWithPrimaryButton'), 
        __metadata('design:type', plenty_overlay_component_1.PlentyOverlayComponent)
    ], OverlayShowcaseComponent.prototype, "overlayWithPrimaryButton", void 0);
    __decorate([
        core_1.ViewChild('overlayWithSecondaryButton'), 
        __metadata('design:type', plenty_overlay_component_1.PlentyOverlayComponent)
    ], OverlayShowcaseComponent.prototype, "overlayWithSecondaryButton", void 0);
    __decorate([
        core_1.ViewChild('overlayWithButtons'), 
        __metadata('design:type', plenty_overlay_component_1.PlentyOverlayComponent)
    ], OverlayShowcaseComponent.prototype, "overlayWithButtons", void 0);
    __decorate([
        core_1.ViewChild('overlayStatic'), 
        __metadata('design:type', plenty_overlay_component_1.PlentyOverlayComponent)
    ], OverlayShowcaseComponent.prototype, "overlayStatic", void 0);
    __decorate([
        core_1.ViewChild('overlayRelogin'), 
        __metadata('design:type', plenty_overlay_component_1.PlentyOverlayComponent)
    ], OverlayShowcaseComponent.prototype, "overlayRelogin", void 0);
    OverlayShowcaseComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'overlay-showcase',
            templateUrl: 'overlay-showcase.component.html',
            styleUrls: ['overlay-showcase.component.css'],
            directives: [
                plenty_overlay_component_1.PlentyOverlayComponent,
                plenty_button_component_1.PlentyButtonComponent,
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], OverlayShowcaseComponent);
    return OverlayShowcaseComponent;
}());
exports.OverlayShowcaseComponent = OverlayShowcaseComponent;

//# sourceMappingURL=overlay-showcase.component.js.map
