"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var table_showcase_component_1 = require('../table-showcase/table-showcase.component');
var plenty_split_view_component_1 = require('../../split-view/plenty-split-view.component');
var plenty_button_component_1 = require('../../button/plenty-button.component');
var dcl_wrapper_component_1 = require('../../dcl-wrapper/dcl-wrapper.component');
var SplitViewShowcaseComponent = (function () {
    function SplitViewShowcaseComponent() {
        this._components = new Array;
    }
    SplitViewShowcaseComponent.prototype.ngOnInit = function () {
        this.components.push({
            component: plenty_button_component_1.PlentyButtonComponent,
            defaultWidth: '200px'
        });
        this.components.push({
            component: table_showcase_component_1.TableShowcaseComponent,
            defaultWidth: '1100px'
        });
    };
    Object.defineProperty(SplitViewShowcaseComponent.prototype, "components", {
        get: function () {
            return this._components;
        },
        set: function (value) {
            this._components = value;
        },
        enumerable: true,
        configurable: true
    });
    SplitViewShowcaseComponent.prototype.addComponent = function () {
        this.components.push({
            component: plenty_button_component_1.PlentyButtonComponent,
            defaultWidth: '150px'
        });
    };
    SplitViewShowcaseComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'split-view-showcase',
            templateUrl: 'split-view-showcase.component.html',
            styleUrls: ['split-view-showcase.component.css'],
            directives: [plenty_split_view_component_1.PlentySplitViewComponent,
                dcl_wrapper_component_1.DclWrapperComponent]
        }), 
        __metadata('design:paramtypes', [])
    ], SplitViewShowcaseComponent);
    return SplitViewShowcaseComponent;
}());
exports.SplitViewShowcaseComponent = SplitViewShowcaseComponent;

//# sourceMappingURL=split-view-showcase.component.js.map
