"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var http_1 = require('@angular/http');
var base_service_1 = require('../../../service/base.service');
var plenty_loading_bar_service_1 = require('../../../loading-bar/service/plenty-loading-bar.service');
var ShowcaseService = (function (_super) {
    __extends(ShowcaseService, _super);
    function ShowcaseService(loadingBarService, http) {
        _super.call(this, loadingBarService, http, '/rest/account/ordersummary');
    }
    ShowcaseService.prototype.getOrdersummary = function (page, perPage) {
        this.setAuthorization();
        var url;
        if (page && perPage) {
            url = this.url + '?page=' + page + '&perPage=' + perPage;
        }
        else {
            url = this.url;
        }
        return this.mapRequest(this.http.get(url, { headers: this.headers, body: '' }));
    };
    ShowcaseService = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [plenty_loading_bar_service_1.PlentyLoadingBarService, http_1.Http])
    ], ShowcaseService);
    return ShowcaseService;
}(base_service_1.BaseService));
exports.ShowcaseService = ShowcaseService;

//# sourceMappingURL=showcase-service.js.map
