"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_base_toolbar_component_1 = require('../../toolbar/base-toolbar/plenty-base-toolbar.component');
var plenty_button_component_1 = require('../../button/plenty-button.component');
var plenty_pager_component_1 = require('../../pager/plenty-pager.component');
var ToolbarShowcaseComponent = (function () {
    function ToolbarShowcaseComponent() {
        this.pagingData = {
            pagingUnit: 'pagingEntries',
            total: 345,
            currentPage: 1,
            perPage: 50,
            lastPage: 7,
            from: 1,
            to: 50
        };
    }
    Object.defineProperty(ToolbarShowcaseComponent.prototype, "pagingData", {
        get: function () {
            return this._pagingData;
        },
        set: function (value) {
            this._pagingData = value;
        },
        enumerable: true,
        configurable: true
    });
    ToolbarShowcaseComponent.prototype.doPaging = function (pagerData) {
        console.log("PagingData: " + pagerData);
    };
    ToolbarShowcaseComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'toolbar-showcase',
            templateUrl: 'toolbar-showcase.component.html',
            styleUrls: ['toolbar-showcase.component.css'],
            directives: [plenty_base_toolbar_component_1.PlentyBaseToolbarComponent,
                plenty_button_component_1.PlentyButtonComponent,
                plenty_pager_component_1.PlentyPagerComponent]
        }), 
        __metadata('design:paramtypes', [])
    ], ToolbarShowcaseComponent);
    return ToolbarShowcaseComponent;
}());
exports.ToolbarShowcaseComponent = ToolbarShowcaseComponent;

//# sourceMappingURL=toolbar-showcase.component.js.map
