"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_tree_component_1 = require('../../tree/plenty-tree.component');
var plenty_checkbox_tree_component_1 = require('../../tree/checkbox-tree/plenty-checkbox-tree.component');
var TreeShowcaseComponent = (function () {
    function TreeShowcaseComponent() {
        this.leafList = [];
        this.checkboxLeafList = [];
    }
    TreeShowcaseComponent.prototype.ngOnInit = function () {
        this.leafList.push({
            caption: 'Leaf1',
            icon: 'icon-settings',
            subLeafList: [{
                    caption: 'SubLeaf1',
                    subLeafList: [{ caption: 'SubSubLeaf1' },
                        { caption: 'SubSubLeaf2' }]
                },
                { caption: 'SubLeaf2' }]
        });
        this.leafList.push({
            caption: 'Leaf2',
            icon: 'icon-settings'
        });
        this.leafList.push({ caption: 'Leaf3' });
        this.checkboxLeafList.push({
            caption: 'Leaf1',
            icon: 'icon-settings',
            value: 'leaf1Value',
            subLeafList: [{
                    caption: 'SubLeaf1',
                    value: 'subLeaf1Value',
                    subLeafList: [{
                            caption: 'SubSubLeaf1',
                            value: 'subSubLeaf1Value',
                        },
                        {
                            caption: 'SubSubLeaf2',
                            value: 'subSubLeaf2Value',
                        }]
                },
                { caption: 'SubLeaf2' }]
        });
        this.checkboxLeafList.push({
            caption: 'Leaf2',
            icon: 'icon-settings',
            value: 'leaf2Value',
        });
        this.checkboxLeafList.push({
            caption: 'Leaf3',
            value: 'leaf3Value',
        });
    };
    TreeShowcaseComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'tree-showcase',
            templateUrl: 'tree-showcase.component.html',
            directives: [plenty_tree_component_1.PlentyTreeComponent,
                plenty_checkbox_tree_component_1.PlentyCheckboxTreeComponent]
        }), 
        __metadata('design:paramtypes', [])
    ], TreeShowcaseComponent);
    return TreeShowcaseComponent;
}());
exports.TreeShowcaseComponent = TreeShowcaseComponent;

//# sourceMappingURL=tree-showcase.component.js.map
