"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var showcase_table_directive_1 = require('./table/showcase-table.directive');
var showcase_service_1 = require('./service/showcase-service');
var plenty_data_table_component_1 = require('../../table/data-table/plenty-data-table.component');
var plenty_button_component_1 = require('../../button/plenty-button.component');
var plenty_data_table_context_menu_service_1 = require('../../table/data-table/context-menu/service/plenty-data-table-context-menu.service');
var TableShowcaseComponent = (function () {
    function TableShowcaseComponent(showcaseService) {
        this.showcaseService = showcaseService;
    }
    TableShowcaseComponent.prototype.ngOnInit = function () {
    };
    TableShowcaseComponent.prototype.onButtonClick = function () {
        alert(this.table.selectedRowList.length);
    };
    __decorate([
        core_1.ViewChild(plenty_data_table_component_1.PlentyDataTableComponent), 
        __metadata('design:type', plenty_data_table_component_1.PlentyDataTableComponent)
    ], TableShowcaseComponent.prototype, "table", void 0);
    TableShowcaseComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'table-showcase',
            templateUrl: 'table-showcase.component.html',
            directives: [plenty_data_table_component_1.PlentyDataTableComponent,
                showcase_table_directive_1.ShowcaseTableDirective,
                plenty_button_component_1.PlentyButtonComponent],
            providers: [showcase_service_1.ShowcaseService,
                plenty_data_table_context_menu_service_1.PlentyDataTableContextMenuService]
        }), 
        __metadata('design:paramtypes', [showcase_service_1.ShowcaseService])
    ], TableShowcaseComponent);
    return TableShowcaseComponent;
}());
exports.TableShowcaseComponent = TableShowcaseComponent;

//# sourceMappingURL=table-showcase.component.js.map
